<template>
    <zoznam-kategorii-component
            :zoznam="zoznamKategorii"
            :loading="loading"
    ></zoznam-kategorii-component>
</template>

<script>
  import { mapActions, mapState } from 'vuex'
  import ZoznamKategoriiComponent from '../../../components/Kategorie/Zoznam'

  export default {
    name: 'ZoznamPageView',
    components: {
      ZoznamKategoriiComponent,
    },
    props: {},
    data() {
      return {}
    },
    computed: {
      ...mapState('kniznica', [
        'kategorie'
      ]),
      zoznamKategorii () {
        return this.kategorie.kategorie
      },
      loading: function () {
        return this.kategorie.pending.kategoria || this.kategorie.pending.kategorie
      }
    },
    methods: {
      ...mapActions('kniznica/kategorie', [
        'ziskajKategorie',
      ]),
      ziskatZoznamKategorii (filter = {}) {
        let self = this

        const params = {
          include: 'ucebnice',
          sort: 'nazov'
        }

        this.ziskajKategorie({
          params: params
        }).then((response) => {
          // self.totalItems = response.data.meta.total
          // self.perPageItems = response.data.meta.per_page
        }).catch((error) => {

        })
      }
    },
    mounted () {
      this.ziskatZoznamKategorii()
    },
    watch: {},
  }
</script>

<style scoped></style>
